- Qt 5.15
- Qt 3D
- C++ Classes
- QDepthTest
- Qt 5.15.18 Reference Documentation

# QDepthTest Class

class Qt3DRender::QDepthTest

The QDepthTest class tests the fragment shader's depth value against the depth of a sample being written to. More...

Header: | #include <QDepthTest>
qmake: | QT += 3drender
Since: | Qt 5.7
Instantiated By: | DepthTest
Inherits: | Qt3DRender::QRenderState

This class was introduced in Qt 5.7.

- List of all members, including inherited members

## Public Types

enum | DepthFunction { Never, Always, Less, LessOrEqual, Equal, …, NotEqual }

## Properties

- depthFunction : DepthFunction

## Public Functions

DepthFunction | depthFunction() const

## Public Slots

void | setDepthFunction(DepthFunction depthFunction)

## Signals

void | depthFunctionChanged(DepthFunction depthFunction)

## Detailed Description

A QDepthTest class is used to enable depth testing with a given depth test function. The depth test enables writing fragment color values when the depth test passes, and reject fragments which fail the test. The depth test uses the depth function to test the fragments depth value to the value against z-buffer. If the underlying surface does not have z-buffer, then QDepthTest does nothing.

See also QAlphaTest and QStencilTest.

## Member Type Documentation

### enum QDepthTest::DepthFunction

Enumeration for the depth function values

Constant | Value | Description
--- | --- | ---
`Qt3DRender::QDepthTest::Never` | `0x0200` | Never pass depth test
`Qt3DRender::QDepthTest::Always` | `0x0207` | Always pass depth test
`Qt3DRender::QDepthTest::Less` | `0x0201` | Pass depth test if fragment depth is less than z-buffer value
`Qt3DRender::QDepthTest::LessOrEqual` | `0x0203` | Pass depth test if fragment depth is less than or equal to z-buffer value
`Qt3DRender::QDepthTest::Equal` | `0x0202` | Pass depth test if fragment depth is equal to z-buffer value
`Qt3DRender::QDepthTest::GreaterOrEqual` | `0x0206` | Pass depth test if fragment depth is greater than or equal to z-buffer value
`Qt3DRender::QDepthTest::Greater` | `0x0204` | Pass depth test if fragment depth is greater than z-buffer value
`Qt3DRender::QDepthTest::NotEqual` | `0x0205` | Pass depth test if fragment depth is not equal to z-buffer value

## Property Documentation

### depthFunction : DepthFunction

Holds the current function used by depth test. The default is Never.

Access functions:

DepthFunction | depthFunction() const
void | setDepthFunction(DepthFunction depthFunction)

Notifier signal:

void | depthFunctionChanged(DepthFunction depthFunction)